Package ru.bitel.bgbilling.modules.yoomoney.common.bean

# Enum Class PaymentMethodType

java.lang.Object
java.lang.Enum<PaymentMethodType>
ru.bitel.bgbilling.modules.yoomoney.common.bean.PaymentMethodType

All Implemented Interfaces:
  `Serializable`, `Comparable<PaymentMethodType>`, `Constable`

public enum PaymentMethodType extends Enum<PaymentMethodType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BANK_CARD`
  `MOBILE_BALANCE`
  `SBERBANK`
  `SBP`
  `TINKOFF_BANK`
  `YOO_MONEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `static PaymentMethodType`
  `getPaymentMethodTypeByCode(String code)`
  `String`
  `getTitle()`
  `static PaymentMethodType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PaymentMethodType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BANK_CARD

    public static final PaymentMethodType BANK_CARD

  - ### YOO_MONEY

    public static final PaymentMethodType YOO_MONEY

  - ### SBERBANK

    public static final PaymentMethodType SBERBANK

  - ### TINKOFF_BANK

    public static final PaymentMethodType TINKOFF_BANK

  - ### SBP

    public static final PaymentMethodType SBP

  - ### MOBILE_BALANCE

    public static final PaymentMethodType MOBILE_BALANCE

- ## Method Details

  - ### values

    public static PaymentMethodType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PaymentMethodType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()

  - ### getTitle

    public String getTitle()

  - ### getPaymentMethodTypeByCode

    public static PaymentMethodType getPaymentMethodTypeByCode(String code)